// Batch.java -- How to run a batch script from Java

public class Batch {

    public static void main(String args[]) {
	    System.out.println("\nHow to run a batch script from Java\n");
        try {
            System.out.println("Running the batch script");
            // Launch the batch script
            Process process = Runtime.getRuntime().exec("Test.bat");
            // Wait for the batch script to terminate
            process.waitFor();
            // Batch script has terminated, display its exit code
            System.out.println("exitValue = " + process.exitValue());
            System.out.println("Finished running the batch script");
        } catch (Exception e) {
            System.out.println("Error: " + e);
            e.printStackTrace();
        }
        System.out.println("\nEnd of Batch Demo\n");
    }

} // end Batch


/* ===== Code for Test.bat. Must be co-located with Batch.class =====

echo This is Test.bat
echo The first argument is '%1'
call notepad
echo End of Test.bat

===== End of Text.bat ===== */


/* ===== Output from Execution =====

How to run a batch script from Java

Running the batch script
exitValue = 0
Finished running the batch script

End of Batch Demo

===== End of Output ===== */
